Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling.config
Class AnnotationDrivenBeanDefinitionParser

    java.lang.Object
      org.springframework.scheduling.config.AnnotationDrivenBeanDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

    public class AnnotationDrivenBeanDefinitionParser

extends Object
implements BeanDefinitionParser

Parser for the 'annotation-driven' element of the 'task' namespace.

Since:
  3.0
Author:
  Mark Fisher, Juergen Hoeller, Ramnivas Laddad, Chris Beams

Field Summary
`static String` | `ASYNC_ANNOTATION_PROCESSOR_BEAN_NAME` Deprecated. as of Spring 3.1 in favor of `AnnotationConfigUtils.ASYNC_ANNOTATION_PROCESSOR_BEAN_NAME`
`static String` | `ASYNC_EXECUTION_ASPECT_BEAN_NAME` Deprecated. as of Spring 3.1 in favor of `AnnotationConfigUtils.ASYNC_EXECUTION_ASPECT_BEAN_NAME`
`static String` | `SCHEDULED_ANNOTATION_PROCESSOR_BEAN_NAME` Deprecated. as of Spring 3.1 in favor of `AnnotationConfigUtils.SCHEDULED_ANNOTATION_PROCESSOR_BEAN_NAME`

Constructor Summary
`AnnotationDrivenBeanDefinitionParser()`

Method Summary
`BeanDefinition` | `parse(Element element, ParserContext parserContext)` Parse the specified `Element` and register the resulting `BeanDefinition(s)` with the `BeanDefinitionRegistry` embedded in the supplied `ParserContext`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ASYNC_ANNOTATION_PROCESSOR_BEAN_NAME

    @Deprecated
    public static final String ASYNC_ANNOTATION_PROCESSOR_BEAN_NAME

  Deprecated. as of Spring 3.1 in favor of `AnnotationConfigUtils.ASYNC_ANNOTATION_PROCESSOR_BEAN_NAME`
  The bean name of the internally managed async annotation processor (mode="proxy").

  See Also:
    Constant Field Values

### ASYNC_EXECUTION_ASPECT_BEAN_NAME

    @Deprecated
    public static final String ASYNC_EXECUTION_ASPECT_BEAN_NAME

  Deprecated. as of Spring 3.1 in favor of `AnnotationConfigUtils.ASYNC_EXECUTION_ASPECT_BEAN_NAME`
  The bean name of the internally managed transaction aspect (mode="aspectj").

  See Also:
    Constant Field Values

### SCHEDULED_ANNOTATION_PROCESSOR_BEAN_NAME

    @Deprecated
    public static final String SCHEDULED_ANNOTATION_PROCESSOR_BEAN_NAME

  Deprecated. as of Spring 3.1 in favor of `AnnotationConfigUtils.SCHEDULED_ANNOTATION_PROCESSOR_BEAN_NAME`
  The bean name of the internally managed scheduled annotation processor.

  See Also:
    Constant Field Values

Constructor Detail

### AnnotationDrivenBeanDefinitionParser

    public AnnotationDrivenBeanDefinitionParser()

Method Detail

### parse

    public BeanDefinition parse(Element element,
                                ParserContext parserContext)

  Description copied from interface: `BeanDefinitionParser`
  Parse the specified `Element` and register the resulting `BeanDefinition(s)` with the `BeanDefinitionRegistry` embedded in the supplied `ParserContext`.

  Implementations must return the primary `BeanDefinition` that results from the parse if they will ever be used in a nested fashion (for example as an inner tag in a `<property/>` tag). Implementations may return `null` if they will not be used in a nested fashion.

  Specified by:
    `parse` in interface `BeanDefinitionParser`
  Parameters:
    `element` - the element that is to be parsed into one or more `BeanDefinitions`
    `parserContext` - the object encapsulating the current state of the parsing process; provides access to a `BeanDefinitionRegistry`
  Returns:
    the primary `BeanDefinition`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD